# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['ansys', 'ansys.product.library']

package_data = \
{'': ['*']}

extras_require = \
{':python_version < "3.8"': ['importlib-metadata>=4.0,<5.0'],
 'docs': ['Sphinx>=4.4,<5.0',
          'numpydoc>=1.2,<2.0',
          'pyansys_sphinx_theme>=0.2,<0.3',
          'sphinx-copybutton>=0.4,<0.5'],
 'style': ['codespell>=2.1,<3.0', 'flake8>=3.9,<4.0'],
 'test': ['pytest>=7.0,<8.0', 'pytest-cov>=3.0,<4.0']}

setup_kwargs = {
    'name': 'ansys-product-library',
    'version': '1.2.2',
    'description': 'Template PyAnsys library',
    'long_description': "PyAnsys Library Template\n########################\n\nThis repository is a template repository where you can `Create a\nrepository from a template`_ and create a new PyAnsys project that\nfollows the guidelines specified in the `PyAnsys Developer's Guide`_.\n\nThe following sections should be filled and documented for your project.\n\n.. _Create a repository from a template: https://docs.github.com/en/repositories/creating-and-managing-repositories/creating-a-repository-from-a-template\n.. _PyAnsys Developer's Guide: https://github.com/pyansys/about\n\n\nProject Overview\n----------------\nProvide a description of your PyAnsys Python library.\n\n\nInstallation\n------------\nInclude installation directions.  Note that this README will be\nincluded in your PyPI package, so be sure to include ``pip``\ndirections along with developer installation directions.  For example.\n\nInstall <PyAnsys Library> with:\n\n.. code::\n\n   pip install ansys-<product/service>-<library>\n\nAlternatively, clone and install in development mode with:\n\n.. code::\n\n   git clone https://github.com/pyansys/\n   cd <PyAnsys-Library>\n   pip install poetry\n   poetry install\n\nThis creates a new virtual environment, which can be activated with\n\n.. code::\n\n   poetry shell\n\nDocumentation\n-------------\nInclude a link to the full sphinx documentation.  For example `PyAnsys <https://docs.pyansys.com/>`_\n\n\nUsage\n-----\nIt's best to provide a sample code or even a figure demonstrating the usage of your library.  For example:\n\n.. code:: python\n\n   >>> from ansys.<product/service> import <library>\n   >>> my_object.<library>()\n   >>> my_object.foo()\n   'bar'\n\n\nTesting\n-------\nYou can feel free to include this at the README level or in CONTRIBUTING.md\n\n\nLicense\n-------\nBe sure to point out your license (and any acknowledgments).  State\nthat the full license can be found in the root directory of the\nrepository.\n",
    'author': 'Ansys, Inc.',
    'author_email': None,
    'maintainer': 'PyAnsys developers',
    'maintainer_email': 'pyansys.support@ansys.com',
    'url': 'https://github.com/pyansys/template/',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'extras_require': extras_require,
    'python_requires': '>=3.7',
}


setup(**setup_kwargs)
